from django.db import models

# Create your models here.
class Card(models.Model):
	name = models.CharField(max_length=20)
	description = models.CharField(max_length=150)
	stars = models.IntegerField()

	def __str__(self):
		stringStars=str(self.stars)
		fullEntry= ("Name: " + self.name + " \n Description: " + self.description + " \n Stars: " + stringStars)

		return fullEntry 

class Quest(models.Model):
	name = models.CharField(max_length=20)
	description = models.CharField(max_length=150)
	stars = models.IntegerField()

	forEveryone = models.BooleanField(default=True)
	student1 = models.CharField(max_length=75, default="Available Slot")
	student2 = models.CharField(max_length=75, default="Available Slot")
	student3 = models.CharField(max_length=75, default="Available Slot")

	def __str__(self):
		stringStars=str(self.stars)
		stringEveryone=str(self.forEveryone)
		
		fullEntry=( self.name + " \n For Everyone: " + stringEveryone + "\n \n" + "Student 1: " + self.student1 + "\nStudent 2: " + self.student2 + "\nStudent 3: " + self.student3)

		return fullEntry

	def get_absolute_url(self):
   		return reverse('questboard_detail', args=[self.pk])