from django.http import HttpResponse
from django.shortcuts import render
from django.shortcuts import redirect

from .forms import CardForm, QuestForm
from .models import Card, Quest

# Create your views here.
def redir_view(request): 
	response = redirect("/home")
	return response

def cards_view(request, *args, **kwargs):
	cardList=Card.objects.all()
	questList=Quest.objects.all()

	context = {"CardList": cardList, "QuestList": questList}
	return render(request, "questboard.html", context)

def home_view(request, *args, **kwargs):
	return render(request, "home.html", {})

def add_card_view(request, *args, **kwargs):
	form=CardForm(request.POST or None)
	if request.method == "POST":
		if form.is_valid():
			form.save()
			return redirect("/questboard")
	return render(request, "make_card.html", {"form" : form})

def add_quest_view(request, pk):
	form=QuestForm(request.POST or None)
	if request.method == "POST":
		if form.is_valid():
			form.save()
			return redirect('/questboard')
	return render(request, "make_quest.html", {"form" : form})

def edit_card_view(request, pk):
	form=CardForm(request.POST or None, instance=Card.objects.get(pk=pk))
	if request.method == "POST":
		if form.is_valid():
			form.save()
			return redirect('/questboard')
	return render(request, "edit_card.html", {"form" : form})