"""Questboard URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/3.2/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.urls import path

from Homepage import views

urlpatterns = [
	path('', views.redir_view, name='home'),
	path('home/', views.home_view, name='home'),
    path('admin/', admin.site.urls),

    path('make_card/', views.add_card_view, name='addCard'),
    path('questboard/', views.cards_view, name='viewQuests'),
    path('questboard/add_quest/<int:pk>', views.add_quest_view, name='addQuest'),
    path('questboard/edit_card/<int:pk>', views.edit_card_view, name='editCard'),

]
